using System.IO;
using UnityEngine;

public class AntaresCurvePoint : MonoBehaviour {

    AntaresBezierController bc = null;
    Color color = Color.Lerp(Color.white, Color.cyan, .25f);

    public Vector3 CurrentPosition
    {
        get
        {
            return transform.position;
        } 
    }

    void OnDrawGizmos()
    {
        if (bc == null) bc = transform.parent.GetComponentInChildren(typeof(AntaresBezierController)) as AntaresBezierController;
        if (bc.hideGizmos) return;

        Gizmos.DrawIcon(transform.position, string.Format("{0}KLIK_10.tif", Curve.pathToGizmos));
        Gizmos.color = color;
    }

    void OnDrawGizmosSelected()
    {
        bc.DrawGizmos();
    }
}
